#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class GenericProxy;

	class MakeSingleSidedProcess:
		public Process
	{
	public:
		MakeSingleSidedProcess()
			{}
		MakeSingleSidedProcess(Stuff::NotationFile *data_file):
			Process(data_file)
				{}

		virtual void
			MirrorCallback(GenericProxy* proxy)
				{}
	};

}
